# project (Identity v2)

## project create

Create new project

    openstack project create
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--property <key=value>]
        [--or-show]
        <project-name>

--description <description>

  Project description

--enable

  Enable project (default)

--disable

  Disable project

--property <key=value>

  Add a property to <name> (repeat option to set multiple properties)

--or-show

  Return existing project

project-name

  New project name

## project delete

Delete project(s). This command will remove specified existing project(s) if an active user is authorized to do this. If there are resources managed by other services (for example, Nova, Neutron, Cinder) associated with specified project(s), delete operation will proceed regardless.

    openstack project delete <project> [<project> ...]

project

  Project(s) to delete (name or ID)

## project list

List projects

    openstack project list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]
        [--sort <key>[:<direction>]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--sort <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: asc), repeat this option to specify multiple keys and directions.

## project set

Set project properties

    openstack project set
        [--name <name>]
        [--description <description>]
        [--enable | --disable]
        [--property <key=value>]
        <project>

--name <name>

  Set project name

--description <description>

  Set project description

--enable

  Enable project

--disable

  Disable project

--property <key=value>

  Set a project property (repeat option to set multiple properties)

project

  Project to modify (name or ID)

## project show

Display project details

    openstack project show <project>

project

  Project to display (name or ID)

## project unset

Unset project properties

    openstack project unset [--property <key>] <project>

--property <key>

  Unset a project property (repeat option to unset multiple properties)

project

  Project to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.